this.blessing_oil_secret_event <- this.inherit("scripts/events/event", {
	m = {
		Monk = null,
		Scared = null,
	},
	function create()
	{
		this.m.ID = "event.blessing_oil_secret";
		this.m.Title = "During camp...";
		this.m.Cooldown = 1.0 * this.World.getTime().SecondsPerDay;
		this.m.Screens.push({
			ID = "A",
			Text = "[img]gfx/ui/events/event_40.png[/img]{As usually brothers sit around campfire and tell stories - truthful and not. After another scarytale %scared% shouts %SPEECH_ON%Oh, stop this shit! I can\'t sleep after stories about necrosavants and nachzehrers. Better tells about young wenchs%SPEECH_OFF% Loud laughing bursts out and only %monk% just smiles. He says %SPEECH_ON%Be afraid of living death - it is normal, but you must n\'t lose mind in battle. God protects us, I know this and also one good trick - blessing oil, this old recipe\'s helped me many times when I faced undead.%SPEECH_OFF%}",
			Image = "",
			List = [],
			Characters = [],
			Options = [
				{
					Text = "It is really useful knowledge.",
					function getResult( _event )
					{
						return 0;
					}

				}
			],
			function start( _event )
			{
				this.Characters.push(_event.m.Monk.getImagePath());

				local item = this.new("scripts/items/accessory/blessing_oil_item");
				this.List.push({
					id = 10,
					icon = "ui/items/" + item.getIcon(),
					text = "You get recipe of " + item.getName()
				});

				this.World.Tags.set("BlessingOilSecret", true);
			}
		});
	}

	function onUpdateScore()
	{
		if (this.World.Tags.get("BlessingOilSecret") == true)
		{
			return;
		}

		local brothers = this.World.getPlayerRoster().getAll();
		local candidatesMonk = [];
		local candidatesScared = [];

		foreach( bro in brothers )
		{
			if (bro.getSkills().hasSkill("trait.fear_undead"))
			{
				candidatesScared.push(bro);
				continue;
			}

			if (bro.getBackground().getID() == "background.monk" ||
				bro.getBackground().getID() == "background.monk_turned_flagellant" ||
				bro.getBackground().getID() == "background.flagellant" ||
				bro.getBackground().getID() == "background.gravedigger" ||
				bro.getBackground().getID() == "background.graverobber" ||
				bro.getBackground().getID() == "background.pacified_flagellant")
			{
				candidatesMonk.push(bro);
			}
		}

		if (candidatesMonk.len() * candidatesScared.len() == 0)
		{
			return;
		}

		this.m.Monk = candidatesMonk[this.Math.rand(0, candidatesMonk.len() - 1)];
		this.m.Scared = candidatesScared[this.Math.rand(0, candidatesScared.len() - 1)];
		this.m.Score = 25 * (candidatesMonk.len() + candidatesScared.len());
	}

	function onPrepare()
	{
	}

	function onPrepareVariables( _vars )
	{
		_vars.push([
			"monk",
			this.m.Monk.getNameOnly()
		]);
		_vars.push([
			"scared",
			this.m.Scared.getNameOnly()
		]);
	}

	function onClear()
	{
		this.m.Monk = null;
		this.m.Scared = null;
	}
});
