this.snuff_secret_event <- this.inherit("scripts/events/event", {
	m = {
		Lowborn = null,
		Toxic = null,
	},
	function create()
	{
		this.m.ID = "event.snuff_secret";
		this.m.Title = "During camp...";
		this.m.Cooldown = 1.0 * this.World.getTime().SecondsPerDay;
		this.m.Screens.push({
			ID = "A",
			Text = "[img]gfx/ui/events/event_17.png[/img]{You bring a bit water to %toxic%, he still feels bad after drinking potions - that is common price for their might. While %toxic% is sicking up, %lowborn% is walking around you, he tries to start talking: %SPEECH_ON%Looks like he gets intoxication... It's cause potions, right? I know what it is. You know, I\'m not soldier or fighter... All these blood and death make me... I\'m not so brave as you or he. But... You know, being homeless is also hard life, men like me are also take some... em.. It helps to forget about cold and starvation. We mixed salt and spider poison and snuff it... So?%SPEECH_OFF%You are looking at him with scorn, but why not? Life of mercenaries is short and hard, someone is happy with mug of beer, but another one needs something else.}",
			Image = "",
			List = [],
			Characters = [],
			Options = [
				{
					Text = "May be we will take some snuff out.",
					function getResult( _event )
					{
						return 0;
					}

				}
			],
			function start( _event )
			{
				this.Characters.push(_event.m.Lowborn.getImagePath());

				local item = this.new("scripts/items/misc/snuff_item");
				this.List.push({
					id = 10,
					icon = "ui/items/" + item.getIcon(),
					text = "You get recipe of " + item.getName()
				});

				this.World.Tags.set("SnuffSecret", true);
			}
		});
	}

	function onUpdateScore()
	{
		if (this.World.Tags.get("SnuffSecret") == true)
		{
			return;
		}

		local brothers = this.World.getPlayerRoster().getAll();
		local candidatesLowborn = [];
		local candidatesToxic = [];

		foreach( bro in brothers )
		{
			if (bro.getBackground().getID() == "background.beggar" ||
				bro.getBackground().getID() == "background.cripple" ||
				bro.getBackground().getID() == "background.ratcatcher" ||
				bro.getBackground().getID() == "background.refugee" ||
				bro.getBackground().getID() == "background.vagabond")
			{
				candidatesLowborn.push(bro);
			}

			if (bro.getSkills().hasSkill("effects.toxication"))
			{
				candidatesToxic.push(bro);
			}
		}

		if (candidatesLowborn.len() * candidatesToxic.len() == 0)
		{
			return;
		}

		this.m.Lowborn = candidatesLowborn[this.Math.rand(0, candidatesLowborn.len() - 1)];
		this.m.Toxic = candidatesToxic[this.Math.rand(0, candidatesToxic.len() - 1)];
		this.m.Score = 25 * (candidatesLowborn.len() + candidatesToxic.len());
	}

	function onPrepare()
	{
	}

	function onPrepareVariables( _vars )
	{
		_vars.push([
			"lowborn",
			this.m.Lowborn.getNameOnly()
		]);
		_vars.push([
			"toxic",
			this.m.Toxic.getNameOnly()
		]);
	}

	function onClear()
	{
		this.m.Lowborn = null;
		this.m.Toxic = null;
	}
});
