this.wolf_adv_potion_effect <- this.inherit("scripts/skills/injury/injury", {
	m = {
		MeleeSkillBonus = 0
	},
	function create()
	{
		this.injury.create();
		this.m.ID = "effects.wolf_adv_potion";
		this.m.Name = "Adrenaline Rush";
		this.m.Description = "This character is under strong drugs - he is very aggressive and fast, but he will regret about it next morning.";
		this.m.Icon = "skills/status_effect_06.png";
		this.m.Type = this.m.Type | this.Const.SkillType.StatusEffect | this.Const.SkillType.DrugEffect;
		this.m.IsHealingMentioned = false;
		this.m.IsTreatable = false;
		this.m.IsContentWithReserve = false;
		this.m.HealingTimeMin = 2;
		this.m.HealingTimeMax = 2;
	}

	function getTooltip()
	{
		local ret = [
			{
				id = 1,
				type = "title",
				text = this.getName()
			},
			{
				id = 2,
				type = "description",
				text = this.getDescription()
			},
			{
				id = 13,
				type = "text",
				icon = "ui/icons/melee_skill.png",
				text = "[color=" + this.Const.UI.Color.PositiveValue + "]+" + this.m.MeleeSkillBonus + "[/color] Melee Skill"
			}
		];
		this.addTooltipHint(ret);
		return ret;
	}

	function onUpdate( _properties )
	{
		this.injury.onUpdate(_properties);
		if (_properties.MeleeSkill >= 79)
		{
			this.m.MeleeSkillBonus = 1;
		}
		else
		{
			this.m.MeleeSkillBonus = this.Math.floor((80 - _properties.MeleeSkill) * 0.5);
		}
	}

	function onAfterUpdate( _properties )
	{
		_properties.MeleeSkill += this.m.MeleeSkillBonus;
	}

	function onAdded()
	{
		this.injury.onAdded();
		this.m.Container.removeByID("effects.toxication");
	}

	function onRemoved()
	{
		this.getContainer().add(this.new("scripts/skills/effects_world/toxication_effect"));
	}

	function onSerialize( _out )
	{
		this.injury.onSerialize(_out);
		_out.writeU8(this.m.HealingTimeMin);
		_out.writeU8(this.m.HealingTimeMax);
	}

	function onDeserialize( _in )
	{
		this.injury.onDeserialize(_in);
		this.m.HealingTimeMin = _in.readU8();
		this.m.HealingTimeMax = _in.readU8();
	}
});